<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ page import="pawa.tp02.Pair,pawa.tp02.MovieDB, java.util.List" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Liste des films</title>
</head>
<body>
	<h1>Liste des films</h1>
	
	<!-- empty vaut vrai si l'objet est null ou si
	 c'est une collection vide.
	 
	 ici movies est un attribut de la requête http, positionée
	 dans MovieListServlet. Il contient un vecteur de paires
	 id de film, titre
 -->
 <%
   @SuppressWarnings("unchecked")
   List<Pair<Integer, String>> movies = (List<Pair<Integer, String>>) request.getAttribute("movies");
   Integer from = (Integer) request.getAttribute("from");
   Integer to = (Integer) request.getAttribute("to");
   if (movies == null) {
	   response.sendRedirect("MovieListServlet");
	   return;
   } else if (movies.size() > 0) {
	   out.println("<ul>");
	   for (Pair<Integer,String>p : movies) {
		   out.println("<li> <b>" + p.getFirst() + "</b> : " + p.getSecond() + "</li>");
	   }
	   out.println ("</ul>");
   } else {
	   out.println("<b>Aucun film dans la base</b>"); 
   };
   
   int from1 = from - 10;
   int from2 = from + 10;
   int to1 = to - 10;
   int to2 = to + 10;  
 
 %>
	<div style="text-align: center">
	<% if (from1 >= 0) {
		out.println("<a href='MovieListServlet?from=" + from1 + "&to=" + to1 + "'>reculer</a>");
	}
	%>
	---
	<% 
	  Integer max = ((MovieDB) request.getSession().getAttribute("db")).getNumMovies();
	  if (from2 <= max) {
		out.println("<a href='MovieListServlet?from=" + from2 + "&to=" + to2 + "'>avancer</a>");
	}
	%>
	</div>

</body>
</html>